Loading...
Searching...
No Matches
StructChecker.h File Reference

Contains the public API of the StructChecker. More...

`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`
`#include "../RDKitBase.h"`

Go to the source code of this file.

## Classes

struct | RDKit::StructureCheck::Ligand
struct | RDKit::StructureCheck::AugmentedAtom
struct | RDKit::StructureCheck::IncEntry
struct | RDKit::StructureCheck::PathEntry
struct | RDKit::StructureCheck::StructCheckerOptions
class | RDKit::StructureCheck::StructChecker
| Class for performing structure validation and cleanup. More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::StructureCheck

## Macros

#define | RD_STRUCTCHECKER_H_Oct2016

## Enumerations

enum | RDKit::StructureCheck::RadicalType { RDKit::StructureCheck::RT_NONE = 0 , RDKit::StructureCheck::SINGLET = 1 , RDKit::StructureCheck::DOUBLET = 2 , RDKit::StructureCheck::TRIPLET = 3 , RDKit::StructureCheck::ANY_RADICAL = 0xFF }

enum

RDKit::StructureCheck::AABondType {
RDKit::StructureCheck::BT_NONE = 0 , RDKit::StructureCheck::SINGLE = 1 , RDKit::StructureCheck::DOUBLE = 2 , RDKit::StructureCheck::TRIPLE = 3 ,
RDKit::StructureCheck::AROMATIC = 4 , RDKit::StructureCheck::SINGLE_DOUBLE = 5 , RDKit::StructureCheck::SINGLE_AROMATIC = 6 , RDKit::StructureCheck::DOUBLE_AROMATIC = 7 ,
RDKit::StructureCheck::ANY_BOND = 8 , RDKit::StructureCheck::ALL_BOND_TYPES = 0xF
}

enum | RDKit::StructureCheck::AATopology { RDKit::StructureCheck::TP_NONE = 0 , RDKit::StructureCheck::RING = 1 , RDKit::StructureCheck::CHAIN = 2 }

## Functions

RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::parseOptionsJSON (const std::string &json, StructCheckerOptions &op)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::loadOptionsFromFiles (StructCheckerOptions &op, const std::string &augmentedAtomTranslationsFile="", const std::string &patternFile="", const std::string &rotatePatternFile="", const std::string &stereoPatternFile="", const std::string &tautomerFile="")

## Variables

static const int | RDKit::StructureCheck::ANY_CHARGE = 8

## Detailed Description

Contains the public API of the StructChecker.

Note that this should be considered beta and that the API may change in future releases.

Definition in file StructChecker.h.

## Macro Definition Documentation

## RD_STRUCTCHECKER_H_Oct2016

#define RD_STRUCTCHECKER_H_Oct2016

Definition at line 23 of file StructChecker.h.